Modify

Opened 7 years ago

Closed 7 years ago

#2842 closed defect (fixed)

Hitting "Resubmit for Review" crashes

Reported by: mhassel@… Owned by: proofek
Priority: normal Component: PeerReviewPlugin
Severity: normal Keywords:
Cc: blongden, Rys, bselby, pmitchell Trac Release: 0.11

Description (last modified by proofek)

Hitting the "Resubmit for Review" causes:

Python Traceback

Traceback (most recent call last):

File "/usr/lib/python2.5/site-packages/trac/web/main.py", line 406, in dispatch_request

dispatcher.dispatch(req)

File "/usr/lib/python2.5/site-packages/trac/web/main.py", line 237, in dispatch

resp = chosen_handler.process_request(req)

File "build/bdist.linux-i686/egg/codereview/peerReviewNew.py", line 90, in process_request

returnFiles+=struct.Path + "," + struct.Version + "," + struct.LineStart + "," + struct.LineEnd + "#"

TypeError: coercing to Unicode: need string or buffer, int found

Attachments (0)

Change History (2)

comment:1 Changed 7 years ago by proofek

  • Description modified (diff)
  • Status changed from new to assigned
  • Trac Release changed from 0.10 to 0.11

Confirmed.

Python Traceback Most recent call last:

  • File "/usr/lib/python2.5/site-packages/Trac-0.11b1-py2.5.egg/trac/web/main.py", line 398, in _dispatch_request Code fragment:
    1. try:
    2. if not env and env_error:
    3. raise HTTPInternalError(env_error)
    4. try:
    5. dispatcher = RequestDispatcher(env)
    6. dispatcher.dispatch(req)
    7. except RequestDone:
    8. pass
    9. resp = req._response or []
    10. except HTTPException, e:
    Local variables: Name Value after [' except RequestDone:', ' pass', ' resp = ... before [' try:', ' if not env and env_error:', ' raise ... dispatcher <trac.web.main.RequestDispatcher object at 0x88c070c> e TypeError('coercing to Unicode: need string or buffer, int found',) env <trac.env.Environment object at 0x86b604c> env_error None exc_info (<type 'exceptions.TypeError'>, TypeError('coercing to Unicode: need ... filename '/usr/lib/python2.5/site-packages/Trac-0.11b1-py2.5.egg/trac/web/main.py' frames [{'function': '_dispatch_request', 'lines_before': [' try:', ' ... has_admin True line ' dispatcher.dispatch(req)' lineno 397 message u'TypeError: coercing to Unicode: need string or buffer, int found' req <Request "POST u'/peerReviewNew'"> resp [] tb <traceback object at 0x8a2fc5c> tb_hide None traceback 'Traceback (most recent call last):\n File ...
  • File "/usr/lib/python2.5/site-packages/Trac-0.11b1-py2.5.egg/trac/web/main.py", line 195, in dispatch Code fragment:
    1. req.args.get('FORM_TOKEN') != req.form_token:
    2. raise HTTPBadRequest('Missing or invalid form token. '
    3. 'Do you have cookies enabled?')
    4. # Process the request and render the template
    5. resp = chosen_handler.process_request(req)
    6. if resp:
    7. if len(resp) == 2: # Clearsilver
    8. chrome.populate_hdf(req)
    9. template, content_type = \
    10. self._post_process_request(req, *resp)
    Local variables: Name Value chosen_handler <codereview.peerReviewNew.UserbaseModule object at 0x88c09ac> chrome <trac.web.chrome.Chrome object at 0x8813cec> ctype 'application/x-www-form-urlencoded' err (<type 'exceptions.TypeError'>, TypeError('coercing to Unicode: need ... handler <codereview.peerReviewNew.UserbaseModule object at 0x88c09ac> options {} req <Request "POST u'/peerReviewNew'"> self <trac.web.main.RequestDispatcher object at 0x88c070c>
  • File "build/bdist.linux-i686/egg/codereview/peerReviewNew.py", line 90, in process_

comment:2 Changed 7 years ago by proofek

  • Cc blongden Rys bselby pmitchell added
  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed and committed to 0.11 branch

Add Comment

Modify Ticket

Action
as closed The owner will remain proofek.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.